-- EGL Class Recommendations
-- [0..n] CLASSES
-- [0..n][0] English Class Name
-- [0..n][1..n] Specs
-- [0..n][1..n][0] Spec Type/Name
-- [0..n][1..n][1] array with pairs of stats
-- [0..n][1..n][2] list of additional primary gems
-- [0..n][1..n][3] hint

EGL_CR = {
	[0] = {
		[0] = "DEATHKNIGHT",
		[1] = {	-- Blut
			[0] = "EGL_TANK",
			[1] = {
				{1,0}, {10,1}, {11,1}, {10,0}, {11,0}, {10,11}, {9,0}, {9,10}, {9,11}, {9,1}
			},
			[2] = {
				52294,	-- Austere Shadowspirit Diamond, 81 sta, +2% item armor
				41380	-- Strenger Erdringdiamant, 32 ausd, +2% Rstung
			},
			[3] = EGL_Stat[9].." > "..EGL_Stat[10].."/"..EGL_Stat[11].." > "..EGL_Stat[1]
		},
		[2] = {	-- Frost / Unholy
			[0] = "EGL_DD_MELEE",
			[1] = {
				{4,0}, {4,5}, {9,0}, {4,9}, {4,1}, {4,7}
			},
			[2] = {
				34220,	-- Wechselhafter Himmelsfeuerdiamant, 12 crit, 3% crit dmg
				41285,	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden
				52291	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
			},
			[3] = EGL_Stat[4].." > "..EGL_Stat[5].." > "..EGL_Stat[9] 
		}
	},
	[1] = {
		[0] = "DRUID",
		[1] = {	-- Moonkin
			[0] = "EGL_DD_RANGE",
			[1] = {
				{2,0}, {2,3}, {2,5}, {2,8}
			},
			[2] = {
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				41285	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden
			},
			[3] = EGL_Stat[2].." > "..EGL_Stat[5].." > "..EGL_Stat[8]
		},
		[2] = {	-- Katze
			[0] = "EGL_DD_MELEE",
			[1] = {
				{6,0}, {6,7}, {9,0}, {6,9}, {6,8}
			},
			[2] = {
				41398,	-- Unerbittlicher Erdringdiamant, 21 agi, +3% krit. Schaden
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				41285	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden
			},
			[3] = EGL_Stat[6].." > "..EGL_Stat[9].." > "..EGL_Stat[8]
		},
		[3] = {	-- Br
			[0] = "EGL_TANK",
			[1] = {
				{1,0}, {6,1}, {8,1}, {6,8}
			},
			[2] = {
				52294,	-- Austere Shadowspirit Diamond, 81 sta, +2% item armor
				41380	-- Strenger Erdringdiamant, 32 ausd, +2% Rstung					
			},
			[3] = EGL_Stat[1].." > "..EGL_Stat[6].." > "..EGL_Stat[8]
		},
		[4] = { -- Heiler
			[0] = "EGL_HEAL",
			[1] = {
				{2,0}, {2,3}, {2,5}, {2,8}
			},
			[2] = {
				52296,	-- Ember Shadowspirit Diamond, 54 int, +2% mana
				41333,	-- Glimmender Polarlichtdiamant, 21 int, +2% Mana
				41401	-- Bemerkenswerter Erdringdiamant, 21 int, manareg
			},
			[3] = EGL_Stat[2].." > "..EGL_Stat[3].." > "..EGL_Stat[5].."/"..EGL_Stat[8]
		}
	},
	[2] = {
		[0] = "HUNTER",
		[1] = {
			[0] = "EGL_DD_RANGE",
			[1] = {
				{6,0}, {6,5}, {6,7}, {6,9}
			},
			[2] = {
				41398,	-- Unerbittlicher Erdringdiamant, 21 agi, +3% krit. Schaden
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
			},
			[3] = EGL_Stat[6].." > "..EGL_Stat[9].." > "..EGL_Stat[5]
		}
	},
	[3] = {
		[0] = "MAGE",
		[1] = {	
			[0] = "EGL_DD_RANGE",
			[1] = {
				{2,0}, {2,7}, {2,9}, {9,0}, {2,8}, {2,5}
			},
			[2] = {
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				52296,	-- Ember Shadowspirit Diamond, 54 int, +2% mana
				41285,	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden
				41333	-- Glimmender Polarlichtdiamant, 21 int, +2% Mana
			},
			[3] = EGL_Stat[2].." > "..EGL_Stat[5].." > "..EGL_Stat[8]
		}
	},
	[4] = {
		[0] = "PALADIN",
		[1] = {	-- Holy
			[0] = "EGL_HEAL",
			[1] = {
				{2,0}, {2,3}, {2,5}, {2,8}
			},
			[2] = {
				52296,	-- Ember Shadowspirit Diamond, 54 int, +2% mana
				41333,	-- Glimmender Polarlichtdiamant, 21 int, +2% Mana
				41401	-- Bemerkenswerter Erdringdiamant, 21 int, manareg			
			},
			[3] = EGL_Stat[2].." > "..EGL_Stat[3].." > "..EGL_Stat[5].."/"..EGL_Stat[8]
		},
		[2] = {	-- Prot
			[0] = "EGL_TANK",
			[1] = {
				{1,0}, {10,1}, {11,1}, {6,1}, {9,0}, {9,10}, {9,11}, {9,1}, 
			},
			[2] = {
				52294,	-- Austere Shadowspirit Diamond, 81 sta, +2% item armor
				52293,	-- Eternal Shadowspirit Diamond, 81 sta, +5% shield block
				41396,	-- Ewiger Erdringdiamant, 21 ausw, +1% Schildblock
				41380	-- Strenger Erdringdiamant, 32 ausd, +2% Rstung
			},
			[3] = EGL_Stat[9].." > "..EGL_Stat[1].." > "..EGL_Stat[10].."/"..EGL_Stat[11]
		},
		[3] = {	-- Retri
			[0] = "EGL_DD_MELEE",
			[1] = {
				{4,0}, {4,5}, {4,8}, {4,9}, {4,7}
			},
			[2] = {
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				41285,	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden
				41398	-- Unerbittlicher Erdringdiamant, 21 agi, +3% krit. Schaden
			},
			[3] = EGL_Stat[4].." > "..EGL_Stat[5].."/"..EGL_Stat[8].." > "..EGL_Stat[9]
		}
	},
	[5] = {
		[0] = "PRIEST",
		[1] = {	-- Shadow
			[0] = "EGL_DD_RANGE",
			[1] = {
				{2,0}, {2,5}, {2,8}, {2,9}, {2,3}
			},
			[2] = {
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				52296,	-- Ember Shadowspirit Diamond, 54 int, +2% mana
				41285,	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden
				41333	-- Glimmender Polarlichtdiamant, 21 int, +2% Mana
			},
			[3] = EGL_Stat[2].." > "..EGL_Stat[5].."/"..EGL_Stat[8].." > "..EGL_Stat[9]
		},
		[2] = {	-- Diszi, Holy
			[0] = "EGL_HEAL",
			[1] = {
				{2,0}, {2,3}, {2,5}, {2,8}, {2,9}
			},
			[2] = {
				52296,	-- Ember Shadowspirit Diamond, 54 int, +2% mana
				41333,	-- Glimmender Polarlichtdiamant, 21 int, +2% Mana
				41401	-- Bemerkenswerter Erdringdiamant, 21 int, manareg
			},
			[3] = EGL_Stat[2].." > "..EGL_Stat[3].." > "..EGL_Stat[5].."/"..EGL_Stat[8]
		}
	},
	[6] = {
		[0] = "ROUGE",
		[1] = {
			[0] = "EGL_DD_MELEE",
			[1] = {
				{6,0}, {6,8}, {6,5}, {6,7}, {6,9}
			},
			[2] = {
				41398,	-- Unerbittlicher Erdringdiamant, 21 agi, +3% krit. Schaden
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				41285	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden			
			},
			[3] = EGL_Stat[6].." > "..EGL_Stat[5].." > "..EGL_Stat[8]
		}
	},
	[7] = {
		[0] = "SHAMAN",
		[1] = {	-- 
			[0] = "EGL_DD_MELEE",
			[1] = {
				{6,0}, {6,8}, {6,5}, {6,7}, {6,9}			
			},
			[2] = {
				41398,	-- Unerbittlicher Erdringdiamant, 21 agi, +3% krit. Schaden
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				41285	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden			
			},
			[3] = EGL_Stat[6].." > "..EGL_Stat[9].." > "..EGL_Stat[5].."/"..EGL_Stat[8]
		},
		[2] = {	-- 
			[0] = "EGL_DD_RANGE",
			[1] = {
				{2,0}, {2,5}, {2,7}, {2,8}, {2,9}
			},
			[2] = {
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				52296,	-- Ember Shadowspirit Diamond, 54 int, +2% mana
				41285,	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden
				41333	-- Glimmender Polarlichtdiamant, 21 int, +2% Mana			
			},
			[3] = EGL_Stat[2].." > "..EGL_Stat[5].." > "..EGL_Stat[9]
		},
		[3] = {	-- Restoration
			[0] = "EGL_HEAL",
			[1] = {
				{2,0}, {2,5}, {2,3}, {2,8}, {5,0}
			},
			[2] = {
				52296,	-- Ember Shadowspirit Diamond, 54 int, +2% mana
				41333,	-- Glimmender Polarlichtdiamant, 21 int, +2% Mana
				41401	-- Bemerkenswerter Erdringdiamant, 21 int, manareg			
			},
			[3] = EGL_Stat[5].." > "..EGL_Stat[2].." > "..EGL_Stat[8]
		}
	},
	[8] = {
		[0] = "WARLOCK",
		[1] = {
			[0] = "EGL_DD_MELEE",
			[1] = {
				{2,0}, {2,5}, {2,7}, {2,9}
			},
			[2] = {
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				41285	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden
			},
			[3] = EGL_Stat[2].." > "..EGL_Stat[5].." > "..EGL_Stat[9]
		}
	},
	[9] = {
		[0] = "WARRIOR",
		[1] = {	--
			[0] = "EGL_TANK",
			[1] = {
				{1,0}, {1,10}, {1,11}, {1,9}, {10,11}, {10,0}, {11,0}
			},
			[2] = {
				52294,	-- Austere Shadowspirit Diamond, 81 sta, +2% item armor
				41380	-- Strenger Erdringdiamant, 32 ausd, +2% Rstung			
			},
			[3] = EGL_Stat[1].." > "..EGL_Stat[10].."/"..EGL_Stat[11].." > "..EGL_Stat[9]
		},
		[2] = {	--
			[0] = "EGL_DD_MELEE",
			[1] = {
				{4,0}, {4,7}, {4,5}, {4,8}
			},
			[2] = {
				52291,	-- Chaotic Shadowspirit Diamond, 54 crit, +3% crit dmg
				41285	-- Chaotischer Polarlichtdiamant, 21 krit, +3% krit. Schaden
			},
			[3] = EGL_Stat[7].." > "..EGL_Stat[4].." > "..EGL_Stat[5].."/"..EGL_Stat[8]
		}
	}
}


function EGL_Recommended(egltable,value)		-- Beschrnkt sich auf 2-3 primre stats
	local recommend = false;
	local specid = EGL_Options["SelectedSpec"];
	local egl_rs = EGL_CR[EGL_SSL[specid]["classid"]][EGL_SSL[specid]["specid"]];
	if value == 52291 then
		dump(egl_rs);
		dump(value);
	end
	if (egl_rs == nil) then return false end
	if egl_rs[1] ~= nil then
		local entries = table.getn(egl_rs[1]); -- brauchbare Steine
		for i=1,entries do
			local spec1 = egl_rs[1][i][1];
			local spec2 = egl_rs[1][i][2];
			local stat1 = egltable[value]["stat1"];
			local stat2 = egltable[value]["stat2"];	
			local meta = egltable[value]["meta"];
			if ((stat2 == nil) and (spec2 == 0)) then	-- only one stat on gem
				if (spec1 == stat1) then
					recommend = true;
				end
			else
				if (spec2 > 0) then
					if (((spec1 == stat1) or (spec1 == stat2)) and ((spec2 == stat1) or (spec2 == stat2))) then
						recommend = true;
					end
				end
			end
			if meta then
				recommend = false; -- only recommend meta gems per itemid
			end
		end
		local entries = table.getn(egl_rs[2]); -- zustzliche Steine per itemid
		for i=1,entries do
			if (value == egl_rs[2][i]) then
				recommend = true;
			end
		end
		
	end
	return recommend;
end

